from __future__ import division
'''
Created on Jun 15, 2013

@author: Pedro
'''
import networkx as nx

def cmpWithGT(dbName, G, time, threshold):
    pathC = '..\\Graphs_Data\\' + dbName + '\\classified\\'
    count = dict()
    pct = dict()
    total = 0
    for c in range(1,4):
        count[c] = 0;
        pct[c] = 0;
        path = pathC + 'classified' + dbName + '_class' + str(c) + '_threshold' + str(threshold) + '_time' + str(time)
        f = open(path)
        for line in f:
            total = total + 1
            content = line.split()
            node1 = int(content[0])
            node2 = int(content[1])
            if(G.has_edge(node1, node2)):
                count[c] = count[c] + 1
            pct[c] = pct[c] + 1
        f.close()
        if(pct[c] != 0):
            pct[c] = count[c]/pct[c]
        else:
            pct[c] = 0
        print(str(c) + ':' + str(pct[c]) + " " + str(count[c]))
    pctAll = (count[2] + count[1] + count[3])/total
    #print(str(pctAll))
    return pctAll
     

def cmpSassy(time, threshold):
    pathGTSassy = "..\\data\\st_andrews-sassy\\srsn-sassy.csv"
    G = nx.read_edgelist(pathGTSassy, delimiter = ',', nodetype = int)
    return cmpWithGT('SASSY', G, time, threshold)
    
                
    
    
def cmpUPB(time, threshold):
    pathGTUPB = "..\\data\\upb-mobility2011\\social.dat"
    G = nx.Graph()
    f = open(pathGTUPB)
    i = 1
    for line in f:
        content = (line.rstrip('\n')).split(',')
        for j in range(0,len(content)):
            print(str(i) + ' ' + str(j) + ' ' + content[j])
            if content[j] == '1':
                G.add_edge(i,j+1)
        i = i+1
    f.close()
    #===================================
    return cmpWithGT('UPB', G, time, threshold)
    
            
highestV = 0
highestP = 0
for i in range(1,100):
    p = i/100
    v = cmpUPB(30, p)
    if v > highestV:
        highestV = v
        highestP = p
print(str(highestP) + " " + str(highestV))

    