from __future__ import division
'''
Created on Jan 9, 2012

@author: Pedro
'''
   

import networkx as nx
import RandomGGen as rg
import DB
import RandomGraphCmp
from GUtil import *
from Classifier import classify_edges, compare_graph_with_rnd_ot


def gen_random_graphs(db, n):
    for i in range(0,n):
        rg.gen_random_graphs(i, db)
        
def cmp_classified_graphs(db):
    #comparing classified graphs
    print("comparing classified graphs...")
    compare_graph_with_rnd_ot(4, db) #random edges
    compare_graph_with_rnd_ot([1,2,3], db) #non-random edges         
    
def runRecast(db, prnds):
    print("reading aggregated graph...")
    G = db.read_aggregated_graph(db.get_final_time())
    print("reading random graphs...")
    rgc = RandomGraphCmp.RandomGraphComparator()
    rgc.read_rnd_network_files(db)    
    for p in prnds:
        db.set_classification_thresh(p)
        classify_edges(G, db, rgc)       


#MAIN

db = DB.DB()

db.set_db_id(1)
    
#have to do this once per db
gen_random_graphs(db, 2)

runRecast(db, [0.1, 0.01, 0.001, 0.0001])
    
    #not necessary
    #cmp_classified_graphs(db)
    








