package loganalysis;


import org.apache.commons.collections4.keyvalue.MultiKey;
import org.apache.commons.math.stat.descriptive.DescriptiveStatistics;

public class EdgeFeatures {
	
	MultiKey<Integer> edgeKey;
	
	public DescriptiveStatistics persistency = new DescriptiveStatistics();
	public DescriptiveStatistics beetweeness = new DescriptiveStatistics();
	public DescriptiveStatistics weight = new DescriptiveStatistics();
	
	public EdgeFeatures(MultiKey<Integer> edgeKey) {
		this.edgeKey = edgeKey;
	}
	
	public void addPersistency(double value) {
		persistency.addValue(value);
	}
	
	public void addBeetweeness(double value) {
		beetweeness.addValue(value);
	}
	
	public void addWeight(double value) {
		weight.addValue(value);
	}	

	
	

}
