package propagation;

import java.util.HashSet;

import main.DB;

public class ClassesAllowed {
	
	
	static HashSet<Integer> allowedClasses = new HashSet<Integer>();	
	
	public static void allowAll() {
		for(int i=1; i<=DB.NUM_CLASSES; i++)
		allowedClasses.add(i);

	}
	
	public static void forbidAll() {
		allowedClasses.clear();
	}
	
	public static void allowClass(int c) {
		allowedClasses.add(c);
	}
	
	public static void forbidClass(int c) {
		allowedClasses.remove(c);
	}
	
	public static String getAllowedClasses() {
		if(allowedClasses.size() > DB.NUM_CLASSES/2.0)
			return "0";
		Integer[] classes = allowedClasses.toArray(new Integer[0]);
		String name = "";
		for(int i=0; i<classes.length; i++) {
			name = name+classes[i];
		}
		return name;
	}
	
	public static String getForbiddenClasses() {
		if(allowedClasses.size() <= DB.NUM_CLASSES/2.0 || allowedClasses.size() == DB.NUM_CLASSES)
			return "0";
		String name = "";
		for(int i=1; i<=DB.NUM_CLASSES; i++) {
			if(!allowedClasses.contains(i))
				name = name+i;
		}
		return name;
	}	
	
	public static boolean isAllowed(int eclass) {
		return allowedClasses.contains(eclass);
	}
	

}
