package main;

public class RunConfig {
	
	//global features
	public static  boolean GF_RECORD_CC = false;
	public static  boolean GF_RECORD_NUMBER_COMPONENTS = false;
	public static  boolean GF_RECORD_ASSORTATIVITY = false;
	public static  boolean GF_RECORD_RANDOM_COMPARISON = false;
	public static  boolean GF_RECORD_DIAMETER = false;
	
	//node features
	public static  boolean NF_RECORD_CC = false;
	public static  boolean NF_RECORD_BETWEENNESS = false;
	public static  boolean NF_RECORD_PAGERANK = false;
	public static  boolean NF_RECORD_CLOSENESS = false;
	
	//which graphs to load
	public static boolean LOAD_FULL_G = false;
	public static boolean LOAD_EVENT_G = false;
	public static boolean LOAD_WINDOWED_G = false;
	
	//save graph file
	public static boolean SAVE_GRAPH_FILE = false;
	
	public static  int RANDOM_EDGES_USE = 0; //0 = all edges, 1 = no random, 2 = only random
	public static  int RICH_CLUB_USE = 0; //0 = with rich club, 1 = no rich club
	
	public static  boolean EXECUTE_PROPAGATION = true;
	public static  boolean EXECUTE_PREDICTION = false;
	public static boolean SAVE_PROPAGATION_LOGS = false;
	
	public static boolean RUN_OVER_TEST_SET = true;
	
	//public static int TIME_TEST_SET = 42;
	public static String P_RANDOM = "0.01";

	public static double START_TIME_INFECTION = -1;
	//public static boolean BROADCAST_INFECTION = true;
	//public static double INFECTION_DURATION = (14*24*3600);
	

}
